# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Vector3.hpp File Reference

`#include <vl/Vector2.hpp>`

## Classes
class | vl::Vector3< scalar_type >
| The Vector3 class is a template class that implements a generic 3 components vector, see also vl::fvec3, vl::dvec3, vl::uvec3, vl::ivec3, vl::svec3, vl::usvec3, vl::bvec3, vl::ubvec3. More...
## Namespaces
namespace | vl
| Visualization Library namespace.

## Typedefs
typedef Vector3< GLint > | vl::ivec3
| A 3 components vector with `GLint` precision.
typedef Vector3< GLuint > | vl::uvec3
| A 3 components vector with `GLuint` precision.
typedef Vector3< GLfloat > | vl::fvec3
| A 3 components vector with `GLfloat` precision.
typedef Vector3< GLdouble > | vl::dvec3
| A 3 components vector with `GLdouble` precision.
typedef Vector3< GLbyte > | vl::bvec3
| A 3 components vector with `GLbyte` precision.
typedef Vector3< GLubyte > | vl::ubvec3
| A 3 components vector with `GLubyte` precision.
typedef Vector3< GLshort > | vl::svec3
| A 3 components vector with `GLshort` precision.
typedef Vector3< GLushort > | vl::usvec3
| A 3 components vector with `GLushort` precision.
typedef dvec3 | vl::vec3
| Defined as: `'typedef` `dvec3` `vec3'`. See also VL_PIPELINE_PRECISION.
## Functions
template<typename T >
const Vector3< T > | vl::operator* (T val, const Vector3< T > &v)

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:40 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.